### Hierarchy

- FetchClient

### Implements

- Client

## Index

### Properties

- _clientListener
- _lastActivity
- _locale

### Accessors

- lastActivity

### Methods

- addClientListener
- assertJsonContentType
- deleteJson
- encodeQueryParams
- fetch
- getBlob
- getJson
- getText
- isAnyUserInBriefcaseMode
- isJsonContentType
- isUserInBriefcaseMode
- openStream
- postJson
- postMultipart
- processRequest
- putJson
- removeClientListener

## Properties

### Private _clientListener

_clientListener: ClientListener

- Defined in ws/FetchClient.ts:16

### Private _lastActivity

_lastActivity: Date = new Date()

- Defined in ws/FetchClient.ts:14

### Private _locale

_locale: CvLocale

- Defined in ws/FetchClient.ts:15

## Accessors

### lastActivity

- get lastActivity(): Date

- - Defined in ws/FetchClient.ts:78

  #### Returns Date

## Methods

### addClientListener

- addClientListener(clientListener: ClientListener, locale: CvLocale): void

- Implementation of Client.addClientListener

  - Defined in ws/FetchClient.ts:26

  #### Parameters

  - ##### clientListener: ClientListener

  - ##### locale: CvLocale

  #### Returns void

### Private assertJsonContentType

- assertJsonContentType(contentType: string): Promise<void>

- - Defined in ws/FetchClient.ts:130

  #### Parameters

  - ##### contentType: string

  #### Returns Promise<void>

### deleteJson

- deleteJson(baseUrl: string, resourcePath: string): Promise<JsonClientResponse>

- Implementation of Client.deleteJson

  - Defined in ws/FetchClient.ts:110

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  #### Returns Promise<JsonClientResponse>

### Private encodeQueryParams

- encodeQueryParams(queryParams: StringDictionary): string

- - Defined in ws/FetchClient.ts:140

  #### Parameters

  - ##### queryParams: StringDictionary

  #### Returns string

### fetch

- fetch(url: string, method: FetchMethod, body?: any, headers?: object, fetchOpts?: __type): Promise<Response>

- - Defined in ws/FetchClient.ts:120

  #### Parameters

  - ##### url: string

  - ##### method: FetchMethod

  - ##### Optional body: any

  - ##### Optional headers: object

    - ##### [index: string]: string

  - ##### Optional fetchOpts: __type

  #### Returns Promise<Response>

### getBlob

- getBlob(baseUrl: string, resourcePath?: string): Promise<BlobClientResponse>

- Implementation of Client.getBlob

  - Defined in ws/FetchClient.ts:35

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  #### Returns Promise<BlobClientResponse>

### getJson

- getJson(baseUrl: string, resourcePath?: string, queryParams?: StringDictionary): Promise<JsonClientResponse>

- Implementation of Client.getJson

  - Defined in ws/FetchClient.ts:63

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  - ##### Optional queryParams: StringDictionary

  #### Returns Promise<JsonClientResponse>

### getText

- getText(baseUrl: string, resourcePath?: string): Promise<TextClientResponse>

- Implementation of Client.getText

  - Defined in ws/FetchClient.ts:42

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  #### Returns Promise<TextClientResponse>

### isAnyUserInBriefcaseMode

- isAnyUserInBriefcaseMode(tenantId: string): Promise<boolean>

- Implementation of Client.isAnyUserInBriefcaseMode

  - Defined in ws/FetchClient.ts:18

  #### Parameters

  - ##### tenantId: string

  #### Returns Promise<boolean>

### Private isJsonContentType

- isJsonContentType(contentType: string): boolean

- - Defined in ws/FetchClient.ts:153

  #### Parameters

  - ##### contentType: string

  #### Returns boolean

### isUserInBriefcaseMode

- isUserInBriefcaseMode(userInfo: __type): Promise<boolean>

- Implementation of Client.isUserInBriefcaseMode

  - Defined in ws/FetchClient.ts:22

  #### Parameters

  - ##### userInfo: __type

  #### Returns Promise<boolean>

### openStream

- openStream(baseUrl: string, resourcePath?: string): Promise<StreamProducer>

- Implementation of Client.openStream

  - Defined in ws/FetchClient.ts:49

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  #### Returns Promise<StreamProducer>

### postJson

- postJson(baseUrl: string, resourcePath: string, jsonBody?: StringDictionary): Promise<JsonClientResponse>

- Implementation of Client.postJson

  - Defined in ws/FetchClient.ts:82

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### Optional jsonBody: StringDictionary

  #### Returns Promise<JsonClientResponse>

### postMultipart

- postMultipart(baseUrl: string, resourcePath: string, formData: FormData): Promise<VoidClientResponse>

- Implementation of Client.postMultipart

  - Defined in ws/FetchClient.ts:56

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### formData: FormData

  #### Returns Promise<VoidClientResponse>

### Private processRequest

- processRequest(url: string, method: FetchMethod, body?: any, headers?: object, fetchOpts?: __type): Promise<Response>

- - Defined in ws/FetchClient.ts:157

  #### Parameters

  - ##### url: string

  - ##### method: FetchMethod

  - ##### Optional body: any

  - ##### Optional headers: object

    - ##### [index: string]: string

  - ##### Optional fetchOpts: __type

  #### Returns Promise<Response>

### putJson

- putJson(baseUrl: string, resourcePath: string, jsonBody?: StringDictionary): Promise<JsonClientResponse>

- Implementation of Client.putJson

  - Defined in ws/FetchClient.ts:96

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### Optional jsonBody: StringDictionary

  #### Returns Promise<JsonClientResponse>

### removeClientListener

- removeClientListener(clientListener: ClientListener): void

- Implementation of Client.removeClientListener

  - Defined in ws/FetchClient.ts:31

  #### Parameters

  - ##### clientListener: ClientListener

  #### Returns void

Generated using TypeDoc